Delete a version
curl --request DELETE \
--url https://api.brilo.ai/v1/agents/{id}/versions/{vid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brilo.ai/v1/agents/{id}/versions/{vid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brilo.ai/v1/agents/{id}/versions/{vid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brilo.ai/v1/agents/{id}/versions/{vid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brilo.ai/v1/agents/{id}/versions/{vid}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.brilo.ai/v1/agents/{id}/versions/{vid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brilo.ai/v1/agents/{id}/versions/{vid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"deleted": true,
"id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"status": 0,
"details": {},
"errors": [
{
"error_code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"hint": "<string>",
"next_action": {
"method": "<string>",
"path": "<string>",
"tool": "<string>",
"body": {}
}
}{
"error_code": "<string>",
"message": "<string>",
"status": 0,
"details": {},
"errors": [
{
"error_code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"hint": "<string>",
"next_action": {
"method": "<string>",
"path": "<string>",
"tool": "<string>",
"body": {}
}
}Agents and versions
Delete a version
Deletes a version that is not live, with its draft and commits.
DELETE
/
agents
/
{id}
/
versions
/
{vid}
Delete a version
curl --request DELETE \
--url https://api.brilo.ai/v1/agents/{id}/versions/{vid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brilo.ai/v1/agents/{id}/versions/{vid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brilo.ai/v1/agents/{id}/versions/{vid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brilo.ai/v1/agents/{id}/versions/{vid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brilo.ai/v1/agents/{id}/versions/{vid}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.brilo.ai/v1/agents/{id}/versions/{vid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brilo.ai/v1/agents/{id}/versions/{vid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"deleted": true,
"id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"status": 0,
"details": {},
"errors": [
{
"error_code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"hint": "<string>",
"next_action": {
"method": "<string>",
"path": "<string>",
"tool": "<string>",
"body": {}
}
}{
"error_code": "<string>",
"message": "<string>",
"status": 0,
"details": {},
"errors": [
{
"error_code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"hint": "<string>",
"next_action": {
"method": "<string>",
"path": "<string>",
"tool": "<string>",
"body": {}
}
}